#include <memory.h>

#include "tt_temporaly_array.h"

TtTemporalyString::TtTemporalyString( unsigned int count ) :
TtTemporalyArray<char>( count )
{
}

void
TtTemporalyString::ExtendSize( unsigned int increasing )
{
  int new_size = size_ + increasing;
  char* tmp = new char[new_size];
  memcpy( tmp, ptr_, size_ );
  delete[] ptr_;
  ptr_ = tmp;
  size_ = new_size;
}
